Intel® Distribution of OpenVINO™ Toolkit
Community support and discussions about the Intel® Distribution of OpenVINO™ toolkit, OpenCV, and all things computer vision-related on Intel® platforms.
5535 Discussions

Error While Trying to Convert my own Custom Model

khadijaazhar
Beginner
157 Views

[ ERROR ] -------------------------------------------------
[ ERROR ] ----------------- INTERNAL ERROR ----------------
[ ERROR ] Unexpected exception happened.
[ ERROR ] Please contact Model Optimizer developers and forward the following information:
[ ERROR ] Exception occurred during running replacer "REPLACEMENT_ID (<class 'extensions.middle.TensorIteratorMerge.TensorIteratorMerge'>)": 0
[ ERROR ] Traceback (most recent call last):
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 288, in apply_transform
for_graph_and_each_sub_graph_recursively(graph, replacer.find_and_replace_pattern)
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/middle/pattern_match.py", line 58, in for_graph_and_each_sub_graph_recursively
func(graph)
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/utils/replacement_pattern.py", line 27, in find_and_replace_pattern
apply_pattern(graph, **self.pattern(), action=self.replace_pattern) # pylint: disable=no-member
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/middle/pattern_match.py", line 95, in apply_pattern
action(graph, match)
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/extensions/middle/TensorIteratorMerge.py", line 123, in replace_pattern
cond_data = match['condition'].out_node(0)
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/graph/graph.py", line 239, in out_node
return self.out_nodes(control_flow=control_flow)[key]
KeyError: 0

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/main.py", line 298, in main
ret_code = driver(argv)
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/main.py", line 265, in driver
ret_res = emit_ir(prepare_ir(argv), argv)
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/main.py", line 234, in prepare_ir
graph = unified_pipeline(argv)
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/pipeline/unified.py", line 29, in unified_pipeline
class_registration.ClassType.BACK_REPLACER
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 334, in apply_replacements
apply_replacements_list(graph, replacers_order)
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 324, in apply_replacements_list
num_transforms=len(replacers_order))
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/utils/logger.py", line 124, in wrapper
function(*args, **kwargs)
File "/opt/intel/openvino_2021.1.110/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 312, in apply_transform
)) from err
Exception: Exception occurred during running replacer "REPLACEMENT_ID (<class 'extensions.middle.TensorIteratorMerge.TensorIteratorMerge'>)": 0

[ ERROR ] ---------------- END OF BUG REPORT --------------
[ ERROR ] -------------------------------------------------

0 Kudos
3 Replies
Gopika_Intel
Moderator
136 Views

Hi.


Thanks for reaching out to us.

As checking your issue, we could see that your issue is related to OpenVINO toolkit. We have a dedicated forum to handle those specific issues. So, we are moving the thread to OpenVINO forum.

Link : https://community.intel.com/t5/Intel-Distribution-of-OpenVINO/bd-p/distribution-openvino-toolkit


Regards

Gopika


khadijaazhar
Beginner
114 Views
Munesh_Intel
Moderator
107 Views

Hi Khadija,

 

Since you have posted the same question in another thread, I will proceed to close this thread.

 

Further communication/queries are to be posted to Thread 1236226.

https://community.intel.com/t5/Intel-Distribution-of-OpenVINO/Error-While-Trying-to-Convert-my-own-C...

 

 

Regards,

Munesh

 

Reply